{
  rice,
  ...
}:
{
  boot.loader.limine = {
    enable = true;
    style =
      let
        pal = rice.palette.shortHex;
      in
      {
        wallpapers = [ rice.bg.src ];
        interface = {
          brandingColor = 1;
          branding = "welcome to quiver";
        };
        graphicalTerminal =
          let
            getPal = p: builtins.attrValues p |> builtins.concatStringsSep ";";
          in
          {
            palette = getPal pal.normal;
            brightPalette = getPal pal.bright;
            marginGradient = 0;
            margin = 256;
            foreground = pal.util.fg;
            background = "20" + pal.util.bg;
            brightForeground = pal.bright.yellow;
            brightBackground = pal.util.bg;
          };
        backdrop = pal.util.bg;
      };
    maxGenerations = 5;
    extraEntries = ''
      /Windows
        protocol: efi
        path: boot():/EFI/Microsoft/Boot/bootmgfw.efi
    '';
  };
}
